
#define SDRIP_SAMPLING_CLOCK_DIV10 8000000
#define SDR14_SAMPLING_CLOCK 66.66666666
#define PERSEUS_SAMPLING_CLOCK 80000000.0
#define MAX_PERSEUS_FILTER 11

#if(OSNUM == OS_FLAG_LINUX)
#define MAX_PERSEUS_RATES 6
#endif
#if(OSNUM == OS_FLAG_WINDOWS)
#define MAX_PERSEUS_RATES 9
#endif


extern double adjusted_sdr_clock;
extern char *sdr14_name_string;
extern char *sdriq_name_string;
extern char *sdrip_name_string;
extern char *perseus_name_string;

// Structure for Perseus parameters
typedef struct {
int rate_no;
int clock_adjust;
int presel;
int preamp;
int dither;
int check;
}P_PERSEUS;
#define MAX_PERSEUS_PARM 6

void close_sdr14(void);
void close_perseus(void);
int init_sdr14(void);
int init_perseus(void);
int init_sdrip(void);
int display_perseus_parm_info(int *line);
int display_sdr14_parm_info(int *line);
int display_sdrip_parm_info(int *line);
